// ==============================================================
//	This file is part of Glest (www.glest.org)
//
//	Copyright (C) 2001-2005 Martio Figueroa
//
//	You can redistribute this code and/or modify it under 
//	the terms of the GNU General Public License as published 
//	by the Free Software Foundation; either version 2 of the 
//	License, or (at your option) any later version
// ==============================================================

#ifndef _GLEST_GAME_GAMESETTINGS_H_
#define _GLEST_GAME_GAMESETTINGS_H_

#include "game_constants.h"

namespace Glest{ namespace Game{

// =====================================================
//	class GameSettings
// =====================================================

class GameSettings{
public:
     string mapPath;
     string tilesetPath;
     string techPath;
	 string factionTypesNames[GameConstants::maxPlayers]; //faction names
     
	 ControlerType factionControls[GameConstants::maxPlayers];
	 
	 int thisFactionIndex;
     int factionCount;
	 int teams[GameConstants::maxPlayers];
	 int startLocationIndex[GameConstants::maxPlayers];
};

}}//end namespace

#endif
